com.corticon.rulesemf.asg

## Interface Expression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ParserOutput

      public interface Expression
      extends ParserOutput

  A representation of the model object 'Expression'.

  The following features are supported:

  - `Text`
  - `Datatype`
  - `Expressiontype`
  - `Enumeration`
  - `Cell Value`
  - `Modified Term List`
  - `Referenced Term List`
  - `Token List`
  See Also:
    `AsgPackage.getExpression()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getCellValue()` Returns the value of the 'Cell Value' attribute
    `java.lang.String` | `getDatatype()` Returns the value of the 'Datatype' attribute
    `java.lang.Boolean` | `getEnumeration()` Returns the value of the 'Enumeration' attribute
    `java.lang.String` | `getExpressiontype()` Returns the value of the 'Expressiontype' attribute
    `TermList` | `getModifiedTermList()` Returns the value of the 'Modified Term List' containment reference
    `TermList` | `getReferencedTermList()` Returns the value of the 'Referenced Term List' containment reference
    `java.lang.String` | `getText()` Returns the value of the 'Text' attribute
    `org.eclipse.emf.common.util.EList` | `getTokenList()` Returns the value of the 'Token List' containment reference list.
    `void` | `setCellValue(java.lang.Boolean value)` Sets the value of the '`Cell Value`' attribute
    `void` | `setDatatype(java.lang.String value)` Sets the value of the '`Datatype`' attribute
    `void` | `setEnumeration(java.lang.Boolean value)` Sets the value of the '`Enumeration`' attribute
    `void` | `setExpressiontype(java.lang.String value)` Sets the value of the '`Expressiontype`' attribute
    `void` | `setModifiedTermList(TermList value)` Sets the value of the '`Modified Term List`' containment reference
    `void` | `setReferencedTermList(TermList value)` Sets the value of the '`Referenced Term List`' containment reference
    `void` | `setText(java.lang.String value)` Sets the value of the '`Text`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getText

          java.lang.String getText()

      Returns the value of the 'Text' attribute.

      If the meaning of the 'Text' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Text' attribute.
      See Also:
        `setText(String)`, `AsgPackage.getExpression_Text()`

    - #### setText

          void setText(java.lang.String value)

      Sets the value of the '`Text`' attribute.
      Parameters:
        `value` - the new value of the 'Text' attribute.
      See Also:
        `getText()`

    - #### getDatatype

          java.lang.String getDatatype()

      Returns the value of the 'Datatype' attribute.

      If the meaning of the 'Datatype' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Datatype' attribute.
      See Also:
        `setDatatype(String)`, `AsgPackage.getExpression_Datatype()`

    - #### setDatatype

          void setDatatype(java.lang.String value)

      Sets the value of the '`Datatype`' attribute.
      Parameters:
        `value` - the new value of the 'Datatype' attribute.
      See Also:
        `getDatatype()`

    - #### getExpressiontype

          java.lang.String getExpressiontype()

      Returns the value of the 'Expressiontype' attribute.

      If the meaning of the 'Expressiontype' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expressiontype' attribute.
      See Also:
        `setExpressiontype(String)`, `AsgPackage.getExpression_Expressiontype()`

    - #### setExpressiontype

          void setExpressiontype(java.lang.String value)

      Sets the value of the '`Expressiontype`' attribute.
      Parameters:
        `value` - the new value of the 'Expressiontype' attribute.
      See Also:
        `getExpressiontype()`

    - #### getEnumeration

          java.lang.Boolean getEnumeration()

      Returns the value of the 'Enumeration' attribute.

      If the meaning of the 'Enumeration' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Enumeration' attribute.
      See Also:
        `setEnumeration(Boolean)`, `AsgPackage.getExpression_Enumeration()`

    - #### setEnumeration

          void setEnumeration(java.lang.Boolean value)

      Sets the value of the '`Enumeration`' attribute.
      Parameters:
        `value` - the new value of the 'Enumeration' attribute.
      See Also:
        `getEnumeration()`

    - #### getCellValue

          java.lang.Boolean getCellValue()

      Returns the value of the 'Cell Value' attribute.

      If the meaning of the 'Cell Value' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Cell Value' attribute.
      See Also:
        `setCellValue(Boolean)`, `AsgPackage.getExpression_CellValue()`

    - #### setCellValue

          void setCellValue(java.lang.Boolean value)

      Sets the value of the '`Cell Value`' attribute.
      Parameters:
        `value` - the new value of the 'Cell Value' attribute.
      See Also:
        `getCellValue()`

    - #### getModifiedTermList

          TermList getModifiedTermList()

      Returns the value of the 'Modified Term List' containment reference.

      If the meaning of the 'Modified Term List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Modified Term List' containment reference.
      See Also:
        `setModifiedTermList(TermList)`, `AsgPackage.getExpression_ModifiedTermList()`

    - #### setModifiedTermList

          void setModifiedTermList(TermList value)

      Sets the value of the '`Modified Term List`' containment reference.
      Parameters:
        `value` - the new value of the 'Modified Term List' containment reference.
      See Also:
        `getModifiedTermList()`

    - #### getReferencedTermList

          TermList getReferencedTermList()

      Returns the value of the 'Referenced Term List' containment reference.

      If the meaning of the 'Referenced Term List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Referenced Term List' containment reference.
      See Also:
        `setReferencedTermList(TermList)`, `AsgPackage.getExpression_ReferencedTermList()`

    - #### setReferencedTermList

          void setReferencedTermList(TermList value)

      Sets the value of the '`Referenced Term List`' containment reference.
      Parameters:
        `value` - the new value of the 'Referenced Term List' containment reference.
      See Also:
        `getReferencedTermList()`

    - #### getTokenList

          org.eclipse.emf.common.util.EList getTokenList()

      Returns the value of the 'Token List' containment reference list. The list contents are of type `Token`.

      If the meaning of the 'Token List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Token List' containment reference list.
      See Also:
        `AsgPackage.getExpression_TokenList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.